m4-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Changes to m4/bootstrap,v [branch-1_4]


From: Eric Blake
Subject: Changes to m4/bootstrap,v [branch-1_4]
Date: Thu, 15 Jun 2006 13:08:48 +0000

CVSROOT:        /sources/m4
Module name:    m4
Branch:         branch-1_4
Changes by:     Eric Blake <ericb>      06/06/15 13:08:46

Index: bootstrap
===================================================================
RCS file: /sources/m4/m4/bootstrap,v
retrieving revision 1.31.2.1
retrieving revision 1.31.2.2
diff -u -b -r1.31.2.1 -r1.31.2.2
--- bootstrap   11 May 2006 13:10:48 -0000      1.31.2.1
+++ bootstrap   15 Jun 2006 13:08:45 -0000      1.31.2.2
@@ -1,7 +1,54 @@
 #! /bin/sh
 
-# helps bootstrapping M4, when checked out from CVS
-# requires GNU Autoconf 2.5x.
+# Helps bootstrapping M4, when checked out from CVS.
+# Requires GNU Autoconf 2.59 or later, GNU Automake 1.9.6 or later,
+# and a recent CVS checkout of gnulib.
 
 : ${AUTORECONF=autoreconf}
-$AUTORECONF --force --verbose --install
+: ${GNULIB_TOOL=gnulib-tool}
+: ${SED=sed}
+
+dirname="s,/[^/]*$,,"
+basename="s,^.*/,,g"
+
+# Work around backward compatibility issue on IRIX 6.5. On IRIX 6.4+, sh
+# is ksh but when the shell is invoked as "sh" and the current value of
+# the _XPG environment variable is not equal to 1 (one), the special
+# positional parameter $0, within a function call, is the name of the
+# function.
+progpath="$0"
+
+# The name of this program:
+progname=`echo "$progpath" | $SED "$basename"`
+
+# func_echo arg...
+# Echo program name prefixed message.
+func_echo ()
+{
+    echo $progname: ${1+"$@"}
+}
+
+
+# func_error arg...
+# Echo program name prefixed message to standard error.
+func_error ()
+{
+    echo $progname: ${1+"$@"} >&2
+    exit 1
+}
+
+## ---------------------- ##
+## Import Gnulib modules. ##
+## ---------------------- ##
+
+func_echo "running: ${GNULIB_TOOL} --update"
+${GNULIB_TOOL} --update || func_error "gnulib-tool failed"
+
+## ----------- ##
+## Autoreconf. ##
+## ----------- ##
+
+func_echo "running: $AUTORECONF --force --verbose --install"
+$AUTORECONF --force --verbose --install || func_error "autoreconf failed"
+
+exit 0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]